+ Responder ao Tópico



  1. #1
    Visitante

    Padrão apache+php

    Tentei instalar o php4.3.1 com o Apache 2.0 no RedHay 8 mas não funcionou.

    segui as recomendações conforme orientado nos procedimentos de instalação, ou seja:

    1. gzip -d httpd-2_0_NN.tar.gz
    2. tar xvf httpd-2_0_NN.tar
    3. gunzip php-NN.tar.gz
    4. tar -xvf php-NN.tar
    5. cd httpd-2_0_NN
    6. ./configure --enable-so
    7. make
    8. make install
    9. cd ../php4-NN
    10. ./configure --with-apxs2=/usr/local/apache2/bin/apxs
    11. make
    12. make install
    13. cp php.ini-dist /usr/local/lib/php.ini
    14. Edit your httpd.conf file and check that these lines are
    present:
    LoadModule php4_module modules/libphp4.so
    AddType application/x-httpd-php .php

    mas não gerou o libphp4.so

    alguém teria uma solução?

    grato.

    J.Guilherme

  2. #2

    Padrão apache+php

    Aparentemente o PHP tem problemas com o Apache 2.
    <IMG SRC="images/forum/icons/icon_wink.gif">



  3. #3
    glasswalk3r
    Visitante

    Padrão apache+php

    tem sim, o time do php não recomenda usar php com o apache 2 para sistemas em produção...

    mas meu filho, inclua a linha que ele reclama no http.conf e teste!